Hello,
yes, I can confirm the problems with the new function of the selection methods in R6.
Just before R6 was delieverd I got a little "workaround" to select interactively an element. first I start my VB Programm from Catia. The programms window was set to "allways on top". Next I can choose an element in Catia and then press an OK-button in VB programm.The choosen element is now part of the Catia selection and I can use it in the VB programm. This could be realized like this:
Dim xSel
Dim SelElement
Set xSel = CATIA.ActiveDocument.Selection
Set SelElement = xSel.FindObject("CATIAHybridShapePoint")
In the example above only 3D Points can be selected
Perhaps this is a possibility to work with it.
Martin
Author: Martin Speckhahn
yes, I can confirm the problems with the new function of the selection methods in R6.
Just before R6 was delieverd I got a little "workaround" to select interactively an element. first I start my VB Programm from Catia. The programms window was set to "allways on top". Next I can choose an element in Catia and then press an OK-button in VB programm.The choosen element is now part of the Catia selection and I can use it in the VB programm. This could be realized like this:
Dim xSel
Dim SelElement
Set xSel = CATIA.ActiveDocument.Selection
Set SelElement = xSel.FindObject("CATIAHybridShapePoint")
In the example above only 3D Points can be selected
Perhaps this is a possibility to work with it.
Martin
Author: Martin Speckhahn